﻿using Connected.Annotations;
using Connected.ServiceModel;

namespace Common.Distributed;

[Service]
public interface IDistributedLockService
{
	Task<Guid> Lock(DistributedLockArgs args);
	Task Unlock(PrimaryKeyArgs<Guid> args);
	Task Ping(DistributedLockPingArgs args);
}
